Listar reserva de estoque
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/logistics/stock-reservations \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/logistics/stock-reservations"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/logistics/stock-reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"order_id": 123,
"sku_id": 123,
"stock_id": 123,
"sku": "<string>",
"sku_name": "<string>",
"order_status": "<string>",
"order_status_name": "<string>",
"order_number": "<string>",
"customer_name": "<string>",
"quantity": 123,
"previous_quantity": 123,
"authorized_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"stock": {
"data": {}
}
}
],
"meta": {
"pagination": {
"total": "10",
"count": "30",
"per_page": "10",
"current_page": "1",
"total_pages": "3",
"links": {
"previous": "",
"next": ""
}
}
}
}Reservas de estoque
Listar reserva de estoque
Lista todas as reservas de estoque
GET
/
{alias}
/
logistics
/
stock-reservations
Listar reserva de estoque
Path Parameters
Alias da loja
Query Parameters
Filtrar por ID do SKU
Filtrar por ID do estoque
Filtrar por ID do pedido
Filtrar por nome de produto ou SKU
Was this page helpful?
⌘I